Package ghidra.async

# Class AsyncLazyMap.KeyedFuture<K,V>

java.lang.Object
java.util.concurrent.CompletableFuture<V>
ghidra.async.AsyncLazyMap.KeyedFuture<K,V>

All Implemented Interfaces:
  `CompletionStage<V>`, `Future<V>`

Enclosing class:
  `AsyncLazyMap<K,V>`

public static class AsyncLazyMap.KeyedFuture<K,V> extends CompletableFuture<V>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.concurrent.CompletableFuture

  `CompletableFuture.AsynchronousCompletionTask`

  ## Nested classes/interfaces inherited from interface java.util.concurrent.Future

  `Future.State`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected CompletableFuture<V>`
  `future`
  `protected final K`
  `key`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyedFuture(K key)`
  `KeyedFuture(K key, V value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompletableFuture<V>`
  `getFuture()`
  `K`
  `getKey()`
  `String`
  `toString()`

  ### Methods inherited from class java.util.concurrent.CompletableFuture

  `acceptEither, acceptEitherAsync, acceptEitherAsync, allOf, anyOf, applyToEither, applyToEitherAsync, applyToEitherAsync, cancel, complete, completeAsync, completeAsync, completedFuture, completedStage, completeExceptionally, completeOnTimeout, copy, defaultExecutor, delayedExecutor, delayedExecutor, exceptionally, exceptionallyAsync, exceptionallyAsync, exceptionallyCompose, exceptionallyComposeAsync, exceptionallyComposeAsync, exceptionNow, failedFuture, failedStage, get, get, getNow, getNumberOfDependents, handle, handleAsync, handleAsync, isCancelled, isCompletedExceptionally, isDone, join, minimalCompletionStage, newIncompleteFuture, obtrudeException, obtrudeValue, orTimeout, resultNow, runAfterBoth, runAfterBothAsync, runAfterBothAsync, runAfterEither, runAfterEitherAsync, runAfterEitherAsync, runAsync, runAsync, state, supplyAsync, supplyAsync, thenAccept, thenAcceptAsync, thenAcceptAsync, thenAcceptBoth, thenAcceptBothAsync, thenAcceptBothAsync, thenApply, thenApplyAsync, thenApplyAsync, thenCombine, thenCombineAsync, thenCombineAsync, thenCompose, thenComposeAsync, thenComposeAsync, thenRun, thenRunAsync, thenRunAsync, toCompletableFuture, whenComplete, whenCompleteAsync, whenCompleteAsync`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### key

    protected final K key

  - ### future

    protected CompletableFuture<V> future

- ## Constructor Details

  - ### KeyedFuture

    public KeyedFuture(K key)

  - ### KeyedFuture

    public KeyedFuture(K key, V value)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CompletableFuture<V>`

  - ### getKey

    public K getKey()

  - ### getFuture

    public CompletableFuture<V> getFuture()